Package com.tietoenator.trip.jxp.control

# Class TdbOutputFormatList

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.TdbMessageProvidingList<TdbControlObject>
com.tietoenator.trip.jxp.control.TdbControlObjectList
com.tietoenator.trip.jxp.control.TdbFormatList
com.tietoenator.trip.jxp.control.TdbOutputFormatList

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`, `Iterable<TdbControlObject>`, `Collection<TdbControlObject>`, `List<TdbControlObject>`

public class TdbOutputFormatList extends TdbFormatList
Generate list of report forms attached to a database

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbOutputFormatList(TdbSession session)`
  Constructor -- the resulting object contains no forms and must be initialized using the get(String) method
  `TdbOutputFormatList(TdbSession session, TdbDatabaseDesign db)`
  Constructor, retrieves report forms from the database identified by the database's design object
  `TdbOutputFormatList(TdbSession session, TdbControlObject ob)`
  Constructor, retrieves report forms from the database identified by a Control object
  `TdbOutputFormatList(TdbSession session, String db)`
  Constructor, retrieves report forms from a named database

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `get(String name)`
  Retrieve report forms from a named database, regardless of how the object was constructed.

  ### Methods inherited from class com.tietoenator.trip.jxp.control.TdbControlObjectList

  `contains, contains, get, refresh, transform`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvidingList

  `add, add, addAll, addAll, clear, contains, containsAll, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `equals, hashCode, replaceAll, sort, spliterator`

- ## Constructor Details

  - ### TdbOutputFormatList

    public TdbOutputFormatList(TdbSession session, TdbControlObject ob) throws TdbException
    Constructor, retrieves report forms from the database identified by a Control object
    Parameters:
      `session` - Active session
      `ob` - Control object referencing the database
    Throws:
      `TdbException`

  - ### TdbOutputFormatList

    public TdbOutputFormatList(TdbSession session, TdbDatabaseDesign db) throws TdbException
    Constructor, retrieves report forms from the database identified by the database's design object
    Parameters:
      `session` - Active session
      `db` - Database design object
    Throws:
      `TdbException`

  - ### TdbOutputFormatList

    public TdbOutputFormatList(TdbSession session, String db) throws TdbException
    Constructor, retrieves report forms from a named database
    Parameters:
      `session` - Active session
      `db` - Name of database for which to retrieve forms
    Throws:
      `TdbException`

  - ### TdbOutputFormatList

    public TdbOutputFormatList(TdbSession session) throws TdbException
    Constructor -- the resulting object contains no forms and must be initialized using the get(String) method
    Parameters:
      `session` - Active session
    Throws:
      `TdbException`

- ## Method Details

  - ### get

    public void get(String name) throws TdbException
    Retrieve report forms from a named database, regardless of how the object was constructed. This method causes network I/O.
    Parameters:
      `name` - The name of the database from which to retrieve forms
    Throws:
      `TdbException`